Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Interface IPMO

All Known Implementing Classes:
  PMO

    public interface IPMO

This interface describes the structure of the 'GMO' portion of the WebSphere MQ eWay OTD used in Java Collaborations. It is the OTD's analogue to the `MQGetMessageOptions` data structure.

The eGate Java Collaboration Editor does not permit the direct manipulation of class fields, thus this interface defines accessors and mutators with which to affect MQGetMessageOptions fields.

Version:
  $Revision: 1.4 $

Method Summary
`void` | `optionsClearAll()` Clears all option flags set so far and reset options to MQPMO_NONE.
`void` | `setMQPMO_DEFAULT_CONTEXT(boolean bSet)` Sets or unsets the MGC.MQPMO_DEFAULT_CONTEXT option.
`void` | `setMQPMO_FAIL_IF_QUIESCING(boolean bSet)` Sets or unsets the MGC.MQPMO_FAIL_IF_QUIESCING option.
`void` | `setMQPMO_LOGICAL_ORDER(boolean bSet)` Sets or unsets the MGC.MQPMO_LOGICAL_ORDER option.
`void` | `setMQPMO_NEW_CORREL_ID(boolean bSet)` Sets or unsets the MGC.MQPMO_NEW_CORREL_ID option.
`void` | `setMQPMO_NEW_MSG_ID(boolean bSet)` Sets or unsets the MGC.MQPMO_NEW_MSG_ID option.
`void` | `setMQPMO_NO_CONTEXT(boolean bSet)` Sets or unsets the MGC.MQPMO_NO_CONTEXT option.
`void` | `setMQPMO_NO_SYNCPOINT(boolean bSet)` Sets or unsets the MGC.MQPMO_SYNCPOINT option.
`void` | `setMQPMO_NONE(boolean bSet)` Sets or unsets the MGC.MQPMO_NONE option.
`void` | `setMQPMO_PASS_ALL_CONTEXT(boolean bSet)` Sets or unsets the MGC.MQPMO_PASS_ALL_CONTEXT option.
`void` | `setMQPMO_PASS_IDENTITY_CONTEXT(boolean bSet)` Sets or unsets the MGC.MQPMO_PASS_IDENTITY_CONTEXT option.
`void` | `setMQPMO_SET_ALL_CONTEXT(boolean bSet)` Sets or unsets the MGC.MQPMO_SET_ALL_CONTEXT option.
`void` | `setMQPMO_SET_IDENTITY_CONTEXT(boolean bSet)` Sets or unsets the MGC.MQPMO_SET_IDENTITY_CONTEXT option.
`void` | `setMQPMO_SYNCPOINT(boolean bSet)` Sets or unsets the MGC.MQPMO_SYNCPOINT option.

Method Detail

### optionsClearAll

    void optionsClearAll()

  Clears all option flags set so far and reset options to MQPMO_NONE.

  Parameters:
    None.

  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_SYNCPOINT

    void setMQPMO_SYNCPOINT(boolean bSet)

  Sets or unsets the MGC.MQPMO_SYNCPOINT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NO_SYNCPOINT

    void setMQPMO_NO_SYNCPOINT(boolean bSet)

  Sets or unsets the MGC.MQPMO_SYNCPOINT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NO_CONTEXT

    void setMQPMO_NO_CONTEXT(boolean bSet)

  Sets or unsets the MGC.MQPMO_NO_CONTEXT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_DEFAULT_CONTEXT

    void setMQPMO_DEFAULT_CONTEXT(boolean bSet)

  Sets or unsets the MGC.MQPMO_DEFAULT_CONTEXT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_SET_IDENTITY_CONTEXT

    void setMQPMO_SET_IDENTITY_CONTEXT(boolean bSet)

  Sets or unsets the MGC.MQPMO_SET_IDENTITY_CONTEXT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_SET_ALL_CONTEXT

    void setMQPMO_SET_ALL_CONTEXT(boolean bSet)

  Sets or unsets the MGC.MQPMO_SET_ALL_CONTEXT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_FAIL_IF_QUIESCING

    void setMQPMO_FAIL_IF_QUIESCING(boolean bSet)

  Sets or unsets the MGC.MQPMO_FAIL_IF_QUIESCING option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NEW_MSG_ID

    void setMQPMO_NEW_MSG_ID(boolean bSet)

  Sets or unsets the MGC.MQPMO_NEW_MSG_ID option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NEW_CORREL_ID

    void setMQPMO_NEW_CORREL_ID(boolean bSet)

  Sets or unsets the MGC.MQPMO_NEW_CORREL_ID option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_LOGICAL_ORDER

    void setMQPMO_LOGICAL_ORDER(boolean bSet)

  Sets or unsets the MGC.MQPMO_LOGICAL_ORDER option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NONE

    void setMQPMO_NONE(boolean bSet)

  Sets or unsets the MGC.MQPMO_NONE option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_PASS_IDENTITY_CONTEXT

    void setMQPMO_PASS_IDENTITY_CONTEXT(boolean bSet)

  Sets or unsets the MGC.MQPMO_PASS_IDENTITY_CONTEXT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_PASS_ALL_CONTEXT

    void setMQPMO_PASS_ALL_CONTEXT(boolean bSet)

  Sets or unsets the MGC.MQPMO_PASS_ALL_CONTEXT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQPutMessageOptions.options`

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.